Name:		nss-pam-ldapd
Version:	0.9.7
Release:	%mkrel 1
Summary:	An nsswitch module which uses directory servers
Group:		System/Libraries
License:	LGPLv2+
URL:		http://arthurdejong.org/nss-ldapd/
Source0:	http://arthurdejong.org/nss-ldapd/%{name}-%{version}.tar.gz
Source3:	nslcd.service
Source4:	nslcd.tmpfiles
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
BuildRequires:	pam-devel

%description
The nss-ldapd daemon, nslcd, uses a directory server to look up name
service information (users, groups, etc.) on behalf of a lightweight
nsswitch module.

%prep
%setup -q

%build
%configure2_5x \
    --libdir=/%{_lib} \
    --with-pam-seclib-dir=/%{_lib}/security \
    --with-nslcd-pidfile=/run/nslcd/nslcd.pid
%make

%install
%makeinstall_std

install -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/nslcd.service
install -D -m 644 %{SOURCE4} %{buildroot}%{_prefix}/lib/tmpfiles.d/nslcd.conf

%pre
%_pre_useradd nslcd / /bin/false

%post
%_post_service nslcd
systemctl try-restart nscd >/dev/null 2>&1 || :

%preun
%_preun_service nslcd

%files
%doc AUTHORS ChangeLog COPYING HACKING NEWS README TODO
%{_sbindir}/*
/%{_lib}/*.so.*
/%{_lib}/security/*.so
%{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/nslcd.conf
%{_prefix}/lib/tmpfiles.d/nslcd.conf
%{_unitdir}/nslcd.service
# Should this be split into a nslcd-utils package?
%{_bindir}/*
%{_datadir}/nslcd-utils


%changelog
* Fri Sep 09 2016 luigiwalser <luigiwalser> 0.9.7-1.mga6
+ Revision: 1051182
- 0.9.7

* Fri Feb 12 2016 umeabot <umeabot> 0.9.6-2.mga6
+ Revision: 956270
- Mageia 6 Mass Rebuild

  + pterjan <pterjan>
    - Update to 0.9.6, to support things like nested groups

* Fri Sep 11 2015 luigiwalser <luigiwalser> 0.8.14-4.mga6
+ Revision: 876956
- use network-online.target instead of network.target so it will start at boot

* Wed Oct 15 2014 umeabot <umeabot> 0.8.14-3.mga5
+ Revision: 747442
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.14-2.mga5
+ Revision: 682941
- Mageia 5 Mass Rebuild

* Mon Mar 17 2014 luigiwalser <luigiwalser> 0.8.14-1.mga5
+ Revision: 604296
- 0.8.14

* Mon Oct 21 2013 umeabot <umeabot> 0.8.13-2.mga4
+ Revision: 538770
- Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - revert to stable 0.8 branch

* Thu Sep 19 2013 guillomovitch <guillomovitch> 0.9.1-1.mga4
+ Revision: 481383
- new version 0.9.1

* Sat May 25 2013 guillomovitch <guillomovitch> 0.8.13-1.mga4
+ Revision: 427110
- new version

* Fri May 10 2013 guillomovitch <guillomovitch> 0.8.12-3.mga3
+ Revision: 412882
- don't ship useless /etc/nss-ldapd.conf file (#10026)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 guillomovitch <guillomovitch> 0.8.12-1.mga3
+ Revision: 329326
- new version

* Tue Oct 16 2012 guillomovitch <guillomovitch> 0.8.11-1.mga3
+ Revision: 307127
- new version

* Fri Aug 24 2012 guillomovitch <guillomovitch> 0.8.10-2.mga3
+ Revision: 283395
- don't ship /var/run/nslcd directory
- use %%{_prefix}/lib/tmpfiles.d instead of %%{_sysconfig}/tmpfiles.d

* Fri Jul 13 2012 guillomovitch <guillomovitch> 0.8.10-1.mga3
+ Revision: 270645
- new version

* Tue Jun 05 2012 guillomovitch <guillomovitch> 0.8.9-1.mga3
+ Revision: 256000
- new version
- drop sysinit support
- use /run instead of /var/run for pid files

* Sat Apr 28 2012 tmb <tmb> 0.8.6-3.mga2
+ Revision: 233822
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Apr 18 2012 guillomovitch <guillomovitch> 0.8.6-2.mga2
+ Revision: 231350
- systemd support

* Mon Jan 30 2012 guillomovitch <guillomovitch> 0.8.6-1.mga2
+ Revision: 203254
- imported package nss-pam-ldapd

